' Copyright (C) 2025  P4pillon.org
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU Affero General Public License as
' published by the Free Software Foundation, either version 3 of the
' License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU Affero General Public License for more details.
'
' You should have received a copy of the GNU Affero General Public License
' along with this program.  If not, see <https://www.gnu.org/licenses/>.
Public Class BDD

    Private Sub DP_ALERTE_PRODUITBindingNavigatorSaveItem_Click(sender As Object, e As EventArgs) Handles DP_ALERTE_PRODUITBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.DP_ALERTE_PRODUITBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.PharmaDataSet1)

    End Sub

    Private Sub BDD_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: cette ligne de code charge les données dans la table 'PharmaDataSet1.DP_Req'. Vous pouvez la déplacer ou la supprimer selon vos besoins.
        Me.DP_ReqTableAdapter.Fill(Me.PharmaDataSet1.DP_Req)
        'TODO: cette ligne de code charge les données dans la table 'PharmaDataSet1.DP_Msg'. Vous pouvez la déplacer ou la supprimer selon vos besoins.
        Me.DP_MsgTableAdapter.Fill(Me.PharmaDataSet1.DP_Msg)
        'TODO: cette ligne de code charge les données dans la table 'PharmaDataSet1.DP_ALERTE_PRODUIT'. Vous pouvez la déplacer ou la supprimer selon vos besoins.
        Me.DP_ALERTE_PRODUITTableAdapter.Fill(Me.PharmaDataSet1.DP_ALERTE_PRODUIT)

    End Sub
End Class